Bug 65317 - link of vmlinux failed on kernel compile 2.4.18-4
link of vmlinux failed on kernel compile 2.4.18-4
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-21 17:35 EDT by Donald Maner
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-22 00:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel config used (17.82 KB, patch)
2002-05-21 17:36 EDT, Donald Maner
no flags Details | Diff

  None (edit)
Description Donald Maner 2002-05-21 17:35:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0rc2)
Gecko/20020510

Description of problem:
Using kernel-source-2.4.18-4, kallsyms pass 1 fails.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. basic kernel compile, .config included as attachment
2 [details].
3.
	

Actual Results:  d -m elf_i386 -T
/usr/local/src/linux-2.4.18-4/arch/i386/vmlinux.lds -e stext
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o init/version.o
init/do_mounts.o --start-group arch/i386/kernel/kernel.o arch/i386/mm/mm.o
kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o  drivers/char/char.o
drivers/block/block.o drivers/misc/misc.o drivers/net/net.o
drivers/media/media.o drivers/ide/idedriver.o drivers/scsi/scsidrv.o
drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o net/network.o
abi/abi.o /usr/local/src/linux-2.4.18-4/arch/i386/lib/lib.a
/usr/local/src/linux-2.4.18-4/lib/lib.a
/usr/local/src/linux-2.4.18-4/arch/i386/lib/lib.a --end-group -o .tmp_vmlinux1
drivers/char/char.o(.data+0x6954): undefined reference to `local symbols in
discarded section .text.exit'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/local/src/linux-2.4.18-4'

Additional info:

I'm trying to compile a no-module no-frills kernel for use as a dns/sendmail
box.  The -3 kernel compiled fine, but I'm trying to use -4 for the ext3 errata.
 This is from a clean, no changes kernel-source rpm, copied from /usr/src to
/usr/local/src.  I'm running menuconfig, make dep, make bzImage.
Comment 1 Donald Maner 2002-05-21 17:36:27 EDT
Created attachment 58126 [details]
kernel config used
Comment 2 Donald Maner 2002-05-22 00:01:57 EDT
Found problem.  I was pointed to the whole binutils thing by a helpful soul in
#kernelnewbies, and used Keith Owens' script to find the offending object in
char.o.  Script from
http://marc.theaimsgroup.com/?l=linux-kernel&m=101485067401944&w=2

It was in wdt_pci.o, and for some reason the watchdog stuff wasn't showing up in
menuconfig.  I had to pull it out of my .config manually. Aparantly it was set
to Y  by the redhat config in configs/
Comment 3 Arjan van de Ven 2002-05-22 05:11:49 EDT
Nice debugging! Fixed for the next build.Thanks

Note You need to log in before you can comment on or make changes to this bug.